Commit 43820feb authored by Ryan Fisher's avatar Ryan Fisher
Browse files

Applying Debian packaging patch from Steffen.

parent 7f77bde0
glue (1.41-2) unstable; urgency=low
* Add *.dirs and *.install files to get non-empty packages
-- Steffen Grunewald <steffen.grunewald@aei.mpg.de> Thu, 28 Jun 2012 09:22:00 +0200
glue (1.41) unstable; urgency=low
* Pre-ER2 release of glue with Kipp's bugfixes and fixed debian packaging.
......
......@@ -2,12 +2,13 @@ Source: glue
Section: lscsoft
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Build-Depends: debhelper (>= 5), python-all-dev (>= 2.3.5-11), git-core
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 7.0.50), python-all-dev (>= 2.6.6-3~), git-core
X-Python-Version: >= 2.6
Standards-Version: 3.9.1
Package: python-glue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.4), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-segments
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-segments
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Replaces: glue
Conflicts: glue
......@@ -17,7 +18,7 @@ Description: The Grid LSC User Environment
Package: python-glue-segments
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.4), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-common
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1), python-glue-common
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Description: The Grid LSC User Environment
Glue (Grid LSC User Environment) is a suite of python modules and programs to
......@@ -26,7 +27,7 @@ Description: The Grid LSC User Environment
Package: python-glue-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.4), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-cjson, python-m2crypto, python-pyxmpp (>= 1.0.1)
Recommends: python-numpy (>= 1.0), python-xml, python-pysqlite2 (>= 2.2), libsqlite3-0 (>= 3.3), pyrxp | python-pyrxp
Description: The Grid LSC User Environment
Glue (Grid LSC User Environment) is a suite of python modules and programs to
......
usr/lib
usr/share
\ No newline at end of file
usr/lib/py*/*/glue/__init__.py*
usr/lib/py*/*/glue/iterutils.py*
usr/lib/py*/*/glue/git_version.py*
usr/lib/py*/*/glue/segments.py*
usr/lib/py*/*/glue/__segments.so*
#usr/lib/py*/*/src/segments*
#usr/lib/py*/*/test*
usr/bin
usr/lib
usr/share/doc
usr/bin/*
usr/lib/py*/*/glue/cbcwebpage.py*
usr/lib/py*/*/glue/dagfile.py*
usr/lib/py*/*/glue/gpstime.py*
usr/lib/py*/*/glue/gsiserverutils.py*
usr/lib/py*/*/glue/lal.py*
usr/lib/py*/*/glue/ldbd.py*
usr/lib/py*/*/glue/markup.py*
usr/lib/py*/*/glue/offsetvector.py*
usr/lib/py*/*/glue/pidfile.py*
usr/lib/py*/*/glue/pipeline.py*
usr/lib/py*/*/glue/segmentsUtils.py*
usr/lib/py*/*/glue/utils.py*
usr/lib/py*/*/glue/VnPublish.py*
usr/lib/py*/*/glue/LDBDClient.py*
usr/lib/py*/*/glue/LDBDServer.py*
usr/lib/py*/*/glue/LDBDWClient.py*
usr/lib/py*/*/glue/LDBDWServer.py*
usr/lib/py*/*/glue/LDRdataFindClient.py*
usr/lib/py*/*/glue/ligolw/*
usr/lib/py*/*/glue/nmi/*
usr/lib/py*/*/glue/segmentdb/*
#!/usr/bin/make -f
#!/usr/bin/make -f
DH_VERBOSE=1
PYTHON2=$(shell pyversions -vr)
......@@ -20,5 +20,5 @@ override_dh_auto_install:
# remove pyversions file
override_dh_clean:
dh_clean
rm -f debian/pyversions
ls -l debian
# rm -f debian/pyversions
# ls -l debian
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment